mbedtls_aria_context Struct Reference

The ARIA context-type definition. More...

`#include <aria.h>`

## Data Fields

unsigned char | nr
uint32_t | rk [MBEDTLS_ARIA_MAX_ROUNDS+1][MBEDTLS_ARIA_BLOCKSIZE/4]

## Detailed Description

The ARIA context-type definition.

Definition at line 76 of file aria.h.

## Field Documentation

## nr

unsigned char mbedtls_aria_context::nr

The number of rounds (12, 14 or 16)

Definition at line 78 of file aria.h.

## rk

uint32_t mbedtls_aria_context::rk[MBEDTLS_ARIA_MAX_ROUNDS+1][MBEDTLS_ARIA_BLOCKSIZE/4]

The ARIA round keys.

Definition at line 80 of file aria.h.

The documentation for this struct was generated from the following file:

- aria.h